%define name avahi
%define version 0.6.25

%define subrel 2
%define release %mkrel 3

%define client_name     %{name}-client
%define common_name     %{name}-common
%define core_name       %{name}-core
%define dns_sd_name     %{name}-compat-libdns_sd
%define glib_name       %{name}-glib
%define gobject_name    %name-gobject
%define howl_name       %{name}-compat-howl
%define qt3_name        %{name}-qt3
%define qt4_name        %{name}-qt4
%define ui_name         %{name}-ui

%define dns_sd_old_name mDNSResponder
%define howl_old_name   howl

%define client_major 3
%define common_major 3
%define core_major 6
%define dns_sd_major 1
%define glib_major 1
%define gobject_major 0
%define howl_major 0
%define qt3_major 1
%define qt4_major 1
%define ui_major 0

%define lib_client_name %mklibname %{client_name} %{client_major}
%define develnameclient %mklibname -d %client_name
%define lib_common_name %mklibname %{common_name} %{common_major}
%define develnamecommon %mklibname -d %common_name
%define lib_core_name   %mklibname %{core_name} %{core_major}
%define develnamecore   %mklibname -d %core_name
%define lib_dns_sd_name %mklibname %{dns_sd_name} %{dns_sd_major}
%define develnamedns_sd %mklibname -d %dns_sd_name
%define lib_glib_name   %mklibname %{glib_name} %{glib_major}
%define develnameglib   %mklibname -d %glib_name
%define lib_gobject_name   %mklibname %{gobject_name} %{gobject_major}
%define develnamegobject   %mklibname -d %gobject_name
%define lib_howl_name   %mklibname %{howl_name} %{howl_major}
%define develnamehowl   %mklibname -d %howl_name
%define lib_qt3_name    %mklibname %{qt3_name}_ %{qt3_major}
%define develnameqt3    %mklibname -d %{qt3_name}
%define lib_qt4_name    %mklibname %{qt4_name}_ %{qt4_major}
%define develnameqt4	%mklibname -d %qt4_name
%define lib_ui_name     %mklibname %{ui_name} %{qt3_major}
%define develnameui     %mklibname -d %ui_name

%define lib_dns_sd_old_name %mklibname %{dns_sd_old_name} 1
%define lib_howl_old_name   %mklibname %{howl_old_name} 0
%define lib_howl_fake_EVR   1.0.0-7mdk

%define build_mono 1
%{?_with_mono: %{expand: %%global build_mono 1}} 
%{?_without_mono: %{expand: %%global build_mono 0}} 

%ifarch %arm %mips
%define build_mono 0
%endif

%define build_qt4 1
%{?_with_qt4: %{expand: %%global build_qt4 1}}
%{?_without_qt4: %{expand: %%global build_qt4 0}}

%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}
%if %{build_bootstrap}
%define build_mono 0
%define build_qt4 0
%endif

Summary: Avahi service discovery (mDNS/DNS-SD) suite
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://avahi.org/download/%{name}-%{version}.tar.gz
Patch0: avahi-0.6.25-fix-chroot.patch
Patch1: avahi-0.6.23-CVE-2010-2244.patch
Patch2: avahi-0.6.23-CVE-2011-1002.diff
License: LGPLv2+
Group: System/Servers
Url: http://avahi.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	daemon-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-python
BuildRequires:	libexpat-devel >= 2.0.1
BuildRequires:	libgdbm-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	pygtk2.0
BuildRequires:	qt3-devel
%if %build_qt4
BuildRequires:	qt4-devel
%endif
#needed by autoreconf
BuildRequires: intltool
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(post): dbus
Requires(preun): dbus
Obsoletes: howl
Provides: howl
Obsoletes: tmdns
Provides: tmdns
Obsoletes: mDNSResponder
Provides: mDNSResponder

%description
Avahi is a system which facilitates service discovery on a local
network -- this means that you can plug your laptop or computer into a
network and instantly be able to view other people who you can chat
with, find printers to print to or find files being shared. This kind
of technology is already found in MacOS X (branded 'Rendezvous',
'Bonjour' and sometimes 'ZeroConf') and is very convenient.

%package dnsconfd
Group: System/Servers
Summary: Avahi DNS configuration server
Requires: %{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
%description dnsconfd
avahi-dnsconfd is a small daemon which may be used to configure
conventional DNS servers using mDNS in a DHCP-like fashion.
Especially useful on IPv6.

%package x11
Group: System/Servers
Summary: Graphical tools for Avahi
Requires: %{name} = %{version}
%description x11
Graphical tools for Avahi.
It includes avahi-discover-standalone.

%package python
Group: System/Libraries
Summary: Python bindings and utilities for Avahi
Requires: pygtk2.0-libglade python-twisted-core
Requires: python-twisted-web dbus-python avahi 
%description python
Python bindings and utilities for Avahi.
It includes avahi-bookmarks and avahi-discover.

%if %build_mono
%package sharp
Group: System/Libraries
Summary: Mono bindings for Avahi
BuildRequires: mono-devel mono-tools
#gw this is needed by mono-find-requires:
BuildRequires: avahi-ui-devel
Requires: %lib_client_name = %version
Requires: %lib_common_name = %version
Requires: %lib_glib_name = %version

%description sharp
Mono bindings for Avahi.

%package sharp-doc
Summary: Development documentation for avahi-sharp
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description sharp-doc
This package contains the API documentation for the avahi-sharp in
Monodoc format.
%endif

%package -n %{lib_client_name}
Group: System/Libraries
Summary: Library for avahi-client
Requires: %{name} >= %{version}
%description -n %{lib_client_name}
Library for avahi-client.

%package -n %develnameclient
Group: Development/C
Summary: Devel library for avahi-client
Provides: %{client_name}-devel = %{version}-%{release}
Provides: lib%{client_name}-devel = %{version}-%{release}
Requires: %{lib_client_name} = %{version}
Obsoletes: %mklibname -d %client_name 3

%description -n %develnameclient
Devel library for avahi-client.

%package -n %{lib_common_name}
Group: System/Libraries
Summary: Library for avahi-common
%description -n %{lib_common_name}
Library for avahi-common.

%package -n %develnamecommon
Group: Development/C
Summary: Devel library for avahi-common
Provides: %{common_name}-devel = %{version}-%{release}
Provides: lib%{common_name}-devel = %{version}-%{release}
Requires: %{lib_common_name} = %{version}
Obsoletes: %mklibname -d %common_name 3

%description -n %develnamecommon
Devel library for avahi-common.

%package -n %{lib_core_name}
Group: System/Libraries
Summary: Library for avahi-core
%description -n %{lib_core_name}
Library for avahi-core.

%package -n %develnamecore
Group: Development/C
Summary: Devel library for avahi-core
Provides: %{core_name}-devel = %{version}-%{release}
Provides: lib%{core_name}-devel = %{version}-%{release}
Requires: %{lib_core_name} = %{version}
Obsoletes: %mklibname -d %core_name 5

%description -n %develnamecore
Devel library for avahi-core.

%package -n %{lib_dns_sd_name}
Group: System/Libraries
Summary: Avahi compatibility library for libdns_sd
Obsoletes: %{lib_dns_sd_old_name}
Provides: %{lib_dns_sd_old_name}
%description -n %{lib_dns_sd_name}
Avahi compatibility library for libdns_sd

%package -n %develnamedns_sd
Group: Development/C
Summary: Avahi devel compatibility library for libdns_sd
Provides: %{dns_sd_name}-devel = %{version}-%{release}
Provides: lib%{dns_sd_name}-devel = %{version}-%{release}
Requires: %{lib_dns_sd_name} = %{version}
Obsoletes: %{lib_dns_sd_old_name}-devel
Provides: %{lib_dns_sd_old_name}-devel
Provides: %{dns_sd_old_name}-devel = %{version}-%{release}
Provides: lib%{dns_sd_old_name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %dns_sd_name 1

%description -n %develnamedns_sd
Avahi devel compatibility library for libdns_sd.

%package -n %{lib_glib_name}
Group: System/Libraries
Summary: Library for avahi-glib
%description -n %{lib_glib_name}
Library for avahi-glib.

%package -n %develnameglib
Group: Development/C
Summary: Devel library for avahi-glib
Provides: %{glib_name}-devel = %{version}-%{release}
Provides: lib%{glib_name}-devel = %{version}-%{release}
Requires: %{lib_glib_name} = %{version}
Obsoletes: %mklibname -d %glib_name 1

%description -n %develnameglib
Devel library for avahi-glib.

%package -n %{lib_gobject_name}
Group: System/Libraries
Summary: Library for avahi-gobject
%description -n %{lib_gobject_name}
Library for avahi-gobject.

%package -n %develnamegobject
Group: Development/C
Summary: Devel library for avahi-gobject
Provides: %{gobject_name}-devel = %{version}-%{release}
Provides: lib%{gobject_name}-devel = %{version}-%{release}
Requires: %{lib_gobject_name} = %{version}

%description -n %develnamegobject
Devel library for avahi-gobject.

%package -n %{lib_howl_name}
Group: System/Libraries
Summary: Avahi compatibility library for howl
Obsoletes: %{lib_howl_old_name}
Provides: %{lib_howl_old_name} = %{lib_howl_fake_EVR}
%description -n %{lib_howl_name}
Avahi compatibility library for howl.

%package -n %develnamehowl
Group: Development/C
Summary: Avahi devel compatibility library for libdns_sd for howl
Provides: %{howl_name}-devel = %{version}-%{release}
Provides: lib%{howl_name}-devel = %{version}-%{release}
Requires: %{lib_howl_name} = %{version}
Obsoletes: %{lib_howl_old_name}-devel
Provides: %{lib_howl_old_name}-devel = %{lib_howl_fake_EVR}
Provides: %{howl_old_name}-devel = %{version}-%{release}
Provides: lib%{howl_old_name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %howl_name 0


%description -n %develnamehowl
Avahi devel compatibility library for libdns_sd for howl.

%package -n %{lib_qt3_name}
Group: System/Libraries
Summary: Library for avahi-qt3
%description -n %{lib_qt3_name}
Library for avahi-qt3.

%package -n %develnameqt3
Group: Development/C
Summary: Devel library for avahi-qt3
Provides: %{qt3_name}-devel = %{version}-%{release}
Provides: lib%{qt3_name}-devel = %{version}-%{release}
Requires: %{lib_qt3_name} = %{version}
Obsoletes: %mklibname -d %{qt3_name}_ 1

%description -n %{develnameqt3}
Devel library for avahi-qt3.

%if %build_qt4
%package -n %{lib_qt4_name}
Group: System/Libraries
Summary: Library for avahi-qt4
%description -n %{lib_qt4_name}
Library for avahi-qt4.

%package -n %develnameqt4
Group: Development/C
Summary: Devel library for avahi-qt4
Provides: %{qt4_name}-devel = %{version}-%{release}
Provides: lib%{qt4_name}-devel = %{version}-%{release}
Requires: %{lib_qt4_name} = %{version}
Obsoletes: %mklibname -d %{qt4_name}_ 1

%description -n %develnameqt4
Devel library for avahi-qt4.
%endif

%package -n %{lib_ui_name}
Group: System/Libraries
Summary: Library for avahi-ui
%description -n %{lib_ui_name}
Library for avahi-ui.

%package -n %develnameui
Group: Development/C
Summary: Devel library for avahi-ui
Provides: %{ui_name}-devel = %{version}-%{release}
Provides: lib%{ui_name}-devel = %{version}-%{release}
Requires: %{lib_ui_name} = %{version}
Obsoletes: %mklibname -d %{ui_name} 1

%description -n %develnameui
Devel library for avahi-ui.

%prep
%setup -q
%patch0 -p1 -b fix-chroot
%patch1 -p1 -b .CVE-2010-2244
%patch2 -p0 -b .CVE-2011-1002

%build
export PKG_CONFIG_PATH=/usr/lib/qt4/%{_lib}/pkgconfig
%configure2_5x \
%if !%build_mono
    --disable-mono \
%endif
%if !%build_qt4
    --disable-qt4 \
%endif
  --localstatedir=%{_var} \
  --with-avahi-priv-access-group="avahi" \
  --enable-compat-libdns_sd \
  --enable-compat-howl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/services/ssh.service
ln -s avahi-compat-howl.pc %buildroot%_libdir/pkgconfig/howl.pc
%if "%_lib" != "lib" && %build_mono
mkdir -p %buildroot%_prefix/lib
mv %buildroot%_libdir/mono %buildroot%_prefix/lib
perl -pi -e "s/%_lib/lib/" %buildroot%_libdir/pkgconfig/avahi-{,ui-}sharp.pc
%endif

%find_lang avahi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_var}/%{name} /bin/false
%_pre_useradd %{name}-autoipd %{_var}/%{name} /bin/false

%postun
%_postun_userdel %{name}
%_postun_userdel %{name}-autoipd

%post
%_post_service %{name}-daemon

%preun
%_preun_service %{name}-daemon

%post dnsconfd
%_post_service %{name}-dnsconfd

%preun dnsconfd
%_preun_service %{name}-dnsconfd

%if %mdkversion < 200900
%post -n %{lib_client_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_client_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_common_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_common_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_core_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_core_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_dns_sd_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_dns_sd_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_glib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_glib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_gobject_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_gobject_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_howl_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_howl_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_qt3_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_qt3_name} -p /sbin/ldconfig
%endif

%if %build_qt4
%if %mdkversion < 200900
%post -n %{lib_qt4_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_qt4_name} -p /sbin/ldconfig
%endif
%endif

%if %build_mono
%post sharp-doc
%_bindir/monodoc --make-index > /dev/null
%postun sharp-doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi
%endif

%files -f avahi.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/services/
%config(noreplace) %{_sysconfdir}/%{name}/hosts
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-daemon.conf
%config(noreplace) %{_sysconfdir}/%{name}/avahi-autoipd.action
%config(noreplace) %{_sysconfdir}/%{name}/services/sftp-ssh.service
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/%{name}-dbus.conf
%{_initrddir}/%{name}-daemon
%{_bindir}/%{name}-browse
%{_bindir}/%{name}-browse-domains
%{_bindir}/%{name}-publish
%{_bindir}/%{name}-publish-address
%{_bindir}/%{name}-publish-service
%{_bindir}/%{name}-resolve
%{_bindir}/%{name}-resolve-address
%{_bindir}/%{name}-resolve-host-name
%{_bindir}/%{name}-set-host-name
%{_sbindir}/%{name}-daemon
%{_sbindir}/avahi-autoipd
%{_datadir}/%{name}/%{name}-service.dtd
%{_datadir}/%{name}/introspection/AddressResolver.introspect
%{_datadir}/%{name}/introspection/DomainBrowser.introspect
%{_datadir}/%{name}/introspection/EntryGroup.introspect
%{_datadir}/%{name}/introspection/HostNameResolver.introspect
%{_datadir}/%{name}/introspection/RecordBrowser.introspect
%{_datadir}/%{name}/introspection/Server.introspect
%{_datadir}/%{name}/introspection/ServiceBrowser.introspect
%{_datadir}/%{name}/introspection/ServiceResolver.introspect
%{_datadir}/%{name}/introspection/ServiceTypeBrowser.introspect
%{_datadir}/%{name}/service-types
%{_mandir}/man1/%{name}-browse-domains.1*
%{_mandir}/man1/%{name}-browse.1*
%{_mandir}/man1/%{name}-publish.1*
%{_mandir}/man1/%{name}-publish-address.1*
%{_mandir}/man1/%{name}-publish-service.1*
%{_mandir}/man1/%{name}-resolve.1*
%{_mandir}/man1/%{name}-resolve-address.1*
%{_mandir}/man1/%{name}-resolve-host-name.1*
%{_mandir}/man1/%{name}-set-host-name.1*
%{_mandir}/man5/%{name}-daemon.conf.5*
%{_mandir}/man5/%{name}.hosts.5*
%{_mandir}/man5/%{name}.service.5*
%{_mandir}/man8/%{name}-daemon.8*
%{_mandir}/man8/avahi-autoipd*
%dir %_libdir/avahi
%_libdir/avahi/service-types.db

%files dnsconfd
%defattr(-,root,root)
%{_sysconfdir}/%{name}/%{name}-dnsconfd.action
%{_initrddir}/%{name}-dnsconfd
%{_sbindir}/%{name}-dnsconfd
%{_mandir}/man8/%{name}-dnsconfd.8*
%{_mandir}/man8/%{name}-dnsconfd.action.8*

%files x11
%defattr(-,root,root)
%{_bindir}/%{name}-discover-standalone
%{_bindir}/bshell
%{_bindir}/bssh
%{_bindir}/bvnc
%{_datadir}/applications/bssh.desktop
%{_datadir}/applications/bvnc.desktop
%{_mandir}/man1/bssh.1*
%{_mandir}/man1/bvnc.1*

%files python
%defattr(-,root,root)
%{_bindir}/%{name}-bookmarks
%{_bindir}/%{name}-discover
%{py_puresitedir}/%{name}/*.py*
%{py_puresitedir}/avahi_discover/
%{_datadir}/applications/%{name}-discover.desktop
%{_datadir}/%{name}/interfaces/%{name}-discover.glade
%{_mandir}/man1/%{name}-discover.1*
%{_mandir}/man1/%{name}-bookmarks.1*

%if %build_mono
%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/%{name}-sharp/%{name}-sharp.dll
%{_prefix}/lib/mono/gac/%{name}-sharp/
%{_libdir}/pkgconfig/%{name}-sharp.pc
%{_prefix}/lib/mono/%{name}-ui-sharp/%{name}-ui-sharp.dll
%{_prefix}/lib/mono/gac/%{name}-ui-sharp/
%{_libdir}/pkgconfig/%{name}-ui-sharp.pc

%files sharp-doc
%defattr(-,root,root)
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.source
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.tree
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.zip
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.source
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.tree
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.zip
%endif

%files -n %{lib_client_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-client.so.%{client_major}*

%files -n %{lib_common_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-common.so.%{common_major}*

%files -n %{lib_core_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-core.so.%{core_major}*

%files -n %{lib_dns_sd_name}
%defattr(-,root,root)
%{_libdir}/libdns_sd.so.%{dns_sd_major}*

%files -n %{lib_glib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-glib.so.%{glib_major}*

%files -n %{lib_gobject_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-gobject.so.%{gobject_major}*

%files -n %{lib_howl_name}
%defattr(-,root,root)
%{_libdir}/libhowl.so.%{howl_major}*

%files -n %{lib_qt3_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-qt3.so.%{qt3_major}*

%if %build_qt4
%files -n %{lib_qt4_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-qt4.so.%{qt4_major}*
%endif

%files -n %{lib_ui_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-ui.so.%{ui_major}*

%files -n %develnameclient
%defattr(-,root,root)
%{_includedir}/%{name}-client
%{_libdir}/lib%{name}-client.a
%attr(644,root,root) %{_libdir}/lib%{name}-client.la
%{_libdir}/lib%{name}-client.so
%{_libdir}/pkgconfig/%{name}-client.pc

%files -n %develnamecommon
%defattr(-,root,root)
%{_includedir}/%{name}-common
%{_libdir}/lib%{name}-common.a
%attr(644,root,root) %{_libdir}/lib%{name}-common.la
%{_libdir}/lib%{name}-common.so

%files -n %develnamecore
%defattr(-,root,root)
%{_includedir}/%{name}-core
%{_libdir}/lib%{name}-core.a
%attr(644,root,root) %{_libdir}/lib%{name}-core.la
%{_libdir}/lib%{name}-core.so
%{_libdir}/pkgconfig/%{name}-core.pc

%files -n %develnamedns_sd
%defattr(-,root,root)
%{_includedir}/%{name}-compat-libdns_sd
%{_libdir}/libdns_sd.a
%attr(644,root,root) %{_libdir}/libdns_sd.la
%{_libdir}/libdns_sd.so
%{_libdir}/pkgconfig/%{name}-compat-libdns_sd.pc

%files -n %develnameglib
%defattr(-,root,root)
%{_includedir}/%{name}-glib
%{_libdir}/lib%{name}-glib.a
%attr(644,root,root) %{_libdir}/lib%{name}-glib.la
%{_libdir}/lib%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files -n %develnamegobject
%defattr(-,root,root)
%{_includedir}/%{name}-gobject
%{_libdir}/lib%{name}-gobject.a
%attr(644,root,root) %{_libdir}/lib%{name}-gobject.la
%{_libdir}/lib%{name}-gobject.so
%{_libdir}/pkgconfig/%{name}-gobject.pc


%files -n %develnamehowl
%defattr(-,root,root)
%{_includedir}/%{name}-compat-howl
%{_libdir}/libhowl.a
%attr(644,root,root) %{_libdir}/libhowl.la
%{_libdir}/libhowl.so
%{_libdir}/pkgconfig/%{name}-compat-howl.pc
%{_libdir}/pkgconfig/howl.pc

%files -n %develnameqt3
%defattr(-,root,root)
%{_includedir}/%{name}-qt3
%{_libdir}/lib%{name}-qt3.a
%attr(644,root,root) %{_libdir}/lib%{name}-qt3.la
%{_libdir}/lib%{name}-qt3.so
%{_libdir}/pkgconfig/%{name}-qt3.pc

%if %build_qt4
%files -n %develnameqt4
%defattr(-,root,root)
%{_includedir}/%{name}-qt4
%{_libdir}/lib%{name}-qt4.a
%attr(644,root,root) %{_libdir}/lib%{name}-qt4.la
%{_libdir}/lib%{name}-qt4.so
%{_libdir}/pkgconfig/%{name}-qt4.pc
%endif

%files -n %develnameui
%defattr(-,root,root)
%{_includedir}/%{name}-ui
%{_libdir}/lib%{name}-ui.a
%attr(644,root,root) %{_libdir}/lib%{name}-ui.la
%{_libdir}/lib%{name}-ui.so
%{_libdir}/pkgconfig/%{name}-ui.pc


%changelog
* Thu Feb 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6.25-3.2mdv2010.0
- P2: security fix for CVE-2011-1002 (upstream)

* Thu Oct 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.25-3.1mdv2010.0
- P1: security fix for CVE-2010-2244 (redhat)

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 0.6.25-3mdv2010.0
+ Revision: 448777
- do not build mono support on arm and mips (from Arnaud Patard)

* Sun Jun 28 2009 Raphaël Gertz <rapsys@mandriva.org> 0.6.25-2mdv2010.0
+ Revision: 390222
- Fix chroot install bug when $NETWORKING is not set

* Thu May 28 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.6.25-1mdv2010.0
+ Revision: 380502
- Updated to 0.6.25.
  Dropped P0 (integrated upstream).

* Sun Apr 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.24-2mdv2009.1
+ Revision: 368029
- Add upstream patch fixng CVE-2009-0758

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.24-1mdv2009.1
+ Revision: 318718
- new major
- rebuild for python 2.6
- new release 0.6.24

* Sat Nov 08 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.23-2mdv2009.1
+ Revision: 300969
- rebuild for changed xcb

* Fri Jul 18 2008 Götz Waschk <waschk@mandriva.org> 0.6.23-1mdv2009.0
+ Revision: 238063
- new version
- drop patch
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6.22-5mdv2009.0
+ Revision: 214326
- Fix BuildRequires
- Patch0 (SVN): fix typo in Makefile.am, fixing build
- Remove old obsolete (and false) option in configure

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new qtlibs location

* Mon Mar 03 2008 Olivier Blin <oblin@mandriva.com> 0.6.22-3mdv2008.1
+ Revision: 177826
- add avahi-autoipd user and group (#33885)

  + Götz Waschk <waschk@mandriva.org>
    - fix dep on avahi in libavahi-client

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 0.6.22-2mdv2008.1
+ Revision: 136229
- fix devel obsoletes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 0.6.22-1mdv2008.1
+ Revision: 131028
- new version
- drop patches
- update file list
- add package for libavahi-gobject

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.21-5mdv2008.1
+ Revision: 115983
- fix buildrequires

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.21-3mdv2008.1
+ Revision: 115849
- new devel name

* Fri Aug 17 2007 Funda Wang <fundawang@mandriva.org> 0.6.21-2mdv2008.0
+ Revision: 65177
- fix desktop conflict bewteen x11 and python sub package

* Mon Aug 13 2007 Olivier Blin <oblin@mandriva.com> 0.6.21-1mdv2008.0
+ Revision: 62591
- add patch to allow build with dbus < 1.1.1 (from upstream SVN)
- 0.6.21

* Sun Jun 24 2007 Olivier Blin <oblin@mandriva.com> 0.6.20-2mdv2008.0
+ Revision: 43749
- 0.6.20 (and drop upstream patches)

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.19-2mdv2008.0
+ Revision: 36904
- rebuild for expat

* Mon May 14 2007 Olivier Blin <oblin@mandriva.com> 0.6.19-1mdv2008.0
+ Revision: 26632
- 0.6.19
- fix zssh build (patches from upstream SVN)
- zssh/zvnc are renamed bssh/bvnc
- package avahi-ui-sharp files in main avahi-sharp package (for now)

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 0.6.18-1mdv2008.0
+ Revision: 14986
- add ui applications in avahi-x11 and create ui library packages
- really use qt4 major macro
- use linux inotify header instead of glibc one to get up-to-date inotify (for IN_ONLYDIR)
- workaround pkgconfig path for qt4
- 0.6.18


* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.6.17-1mdv2007.0
+ Revision: 116186
- new version
- new major for libavahi-core
- drop the patches, the problems are fixed upstream

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.6.16-3mdv2007.1
+ Revision: 110596
- don't log broken packets

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.6.16-2mdv2007.1
+ Revision: 106954
- don't restart dbus on package installation

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 0.6.16-1mdv2007.1
+ Revision: 102392
- use --with-avahi-priv-access-group configure option instead of patch0
- drop dbus patch (merged upstream)
- 0.6.16

* Mon Dec 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.15-4mdv2007.1
+ Revision: 98368
- Rebuild against new Python

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - help bootstrap builds
    - generate debug packages on x86_64

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch1 (Fedora): fix build with dbus 1.0
      Patch2 (Fedora) ia64: unaligned access errors seen  during startup of avahi-daemon

* Mon Nov 06 2006 Olivier Blin <oblin@mandriva.com> 0.6.15-2mdv2007.1
+ Revision: 77003
- 0.6.15

* Sat Nov 04 2006 Götz Waschk <waschk@mandriva.org> 0.6.14-2mdv2007.1
+ Revision: 76544
- fix avahi-sharp-doc content

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.14-1mdv2007.0
+ Revision: 72946
- Import avahi

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.14-1mdv2007.1
- add autoipd to the avahi package
- new version

* Fri Sep 22 2006 Götz Waschk <waschk@mandriva.org> 0.6.13-5mdv2007.0
- split monodoc docs to separate package

* Wed Sep 20 2006 Götz Waschk <waschk@mandriva.org> 0.6.13-4mdv2007.0
- fix avahi-sharp pkgconfig file for x86_64

* Thu Sep 14 2006 Götz Waschk <waschk@mandriva.org> 0.6.13-3mdv2007.0
- fix avahi-sharp path on x86_64

* Mon Aug 28 2006 Olivier Blin <blino@mandriva.com> 0.6.13-2mdv2007.0
- Patch0: don't use NetworkManager-specific netdev group to grant
  access to all methods, use avahi group instead (this means don't
  allow full access to anyone by default)

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.13-1mdv2007.0
- update file list
- New release 0.6.13

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.12-2mdv2007.0
- Rebuild with latest dbus

* Sun Jul 23 2006 Olivier Blin <blino@mandriva.com> 0.6.12-1mdv2007.0
- New release 0.6.12

* Wed Jul 19 2006 Götz Waschk <waschk@mandriva.org> 0.6.11-4mdv2007.0
- fix postun script of the sharp binding

* Sun Jul 02 2006 Stefan van der Eijk <stefan@mandriva.org> 0.6.11-3
- fix typo

* Sun Jul 02 2006 Stefan van der Eijk <stefan@mandriva.org> 0.6.11-2
- BuildRequires

* Tue Jun 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.11-1
- New release 0.6.11

* Thu Jun 22 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-4
- Rebuild

* Tue Jun 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.10-3mdv2007.0
- rebuild for new png lib on x86_64

* Thu May 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-2
- Rebuild

* Sun May 07 2006 Götz Waschk <waschk@mandriva.org> 0.6.10-1mdk
- New release 0.6.10

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.9-5mdk
- add requires on dbus for post/preun

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 0.6.9-4mdk
- enable mono

* Wed Mar 08 2006 Olivier Blin <oblin@mandriva.com> 0.6.9-3mdk
- move avahi-discover-standalone in new sub-package avahi-x11
  (not to make avahi command line tools require X, thanks Pixel)
- move avahi-discover.glade in avahi-python

* Sat Mar 04 2006 Michael Scherer <misc@mandriva.org> 0.6.9-2mdk
-add qt4 subpackage, now this is in main

* Fri Mar 03 2006 Götz Waschk <waschk@mandriva.org> 0.6.9-1mdk
- New release 0.6.9

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 0.6.8-3mdk
- spec fixes
- fix howl compat package

* Wed Mar 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.8-2mdk
- fix major

* Thu Feb 23 2006 Götz Waschk <waschk@mandriva.org> 0.6.8-1mdk
- New release 0.6.8

* Wed Feb 15 2006 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdk
- update file list
- New release 0.6.7

* Fri Feb 10 2006 Michael Scherer <misc@mandriva.org> 0.6.6-3mdk
- do not advertise ssh service by default ( and place the file in openssh itself )

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 0.6.6-2mdk
- obsolete our old daemons (howl/tmdns/mDNSResponder)
- don't restart messagebus service twice on upgrade
  (thanks to Frederic Crozat for all these points)
- fake provides version for howl compat package, to allow libhowl0 to
  be replaced by libavahi-compat-howl0

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 0.6.6-1mdk
- 0.6.6
- buildrequire dbus-python

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 0.6.5-9mdk
- fix requires on python package ( no need to pull the whole twisted stack )
- exchange avahi-bookmarks and avahi-browse ( the python script was not in the python package )

* Thu Jan 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.5-8mdk
- don't built qt4 bindings by default as long as qt4 is in contrib

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 0.6.5-7mdk
- make the client library require the daemon
- make the compat packages obsolete howl and mDNSResponder libraries
- split dnsconfd in a sub package

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-6mdk
- fix buildrequires

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-5mdk
- fix buildrequires

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-4mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.6.5-3mdk
- remove the "don't install me" watchdog (who said forgetfulness?)
  in compat libraries, i.e. don't conflict with our own Provides

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.6.5-2mdk
- don't call autogen.sh, no longer needed

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.6.5-1mdk
- New release 0.6.5
- drop Patch0,1,2 (merged upstream)

* Fri Jan 20 2006 Olivier Blin <oblin@mandriva.com> 0.6.4-3mdk
- Patch0: use initscript lock subsys

* Thu Jan 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-2mdk
- added lib64 fixes in the pkgconfig files (P2)

* Wed Jan 18 2006 Olivier Blin <oblin@mandriva.com> 0.6.4-1mdk
- initial Mandriva release
- Patch0: create Mandriva initscripts
- Patch1: fix typo in avahi-dnsconfd(8) (thanks to Michael Scherer)

